<?php 
require_once "../modelos/Productocompuesto.php";
if (strlen(session_id())<1) 
	session_start();

$productocompuesto=new Productocompuesto();

$idproductocompuesto	=isset($_POST["idproductocompuesto"])? 		limpiarCadena($_POST["idproductocompuesto"]):"";
$idproductoc			=isset($_POST["idproductoc"])? 		limpiarCadena($_POST["idproductoc"]):"";
$idalmacenc				=isset($_POST["idalmacenc"])? 		limpiarCadena($_POST["idalmacenc"]):"";
$idalmacent				=isset($_POST["idalmacent"])? 		limpiarCadena($_POST["idalmacent"]):"";
$idusuario				=$_SESSION["idusuario"];
$tipo_comprobante		=isset($_POST["tipo_comprobante"])? limpiarCadena($_POST["tipo_comprobante"]):"";
$serie_comprobante		=isset($_POST["serie_comprobante"])?limpiarCadena($_POST["serie_comprobante"]):"";
$num_comprobante		=isset($_POST["num_comprobante"])? 	limpiarCadena($_POST["num_comprobante"]):"";
$num_suministro			=isset($_POST["num_suministro"])? 	$_POST["num_suministro"]:"";
$fecha_hora				=isset($_POST["fecha_hora"])? 		limpiarCadena($_POST["fecha_hora"]):"";
$fecha_horar			=isset($_POST["fecha_horar"])? 		limpiarCadena($_POST["fecha_horar"]):"";
$impuesto				=isset($_POST["impuesto"])? 		limpiarCadena($_POST["impuesto"]):"";
$total_compra			=isset($_POST["total_compra"])? 	limpiarCadena($_POST["total_compra"]):"";
$almacen				=isset($_POST["almacen"])? 			limpiarCadena($_POST["almacen"]):"";
$idmaquila				=isset($_POST["idmaquila"])? 			limpiarCadena($_POST["idmaquila"]):"";
$nombre					=isset($_POST["nombre"])? 			limpiarCadena($_POST["nombre"]):"";

//$codigo_barra		=isset($_POST["cod_barra"])? 		limpiarCadena($_POST["cod_barra"]):"";

switch ($_GET["op"]) {
	case 'guardaryeditar':
		if (empty($idproductocompuesto)) {
			$rspta=$productocompuesto->insertar($idproductoc,$idalmacenc,$idalmacent,$idusuario,$fecha_hora,$idmaquila,$nombre,$_POST["idarticulo"],
			$_POST["idalmacen"],$_POST["cantidad"],$_POST["fecha_lote"],$_POST["nrolote"],$_POST["factor"]);
			echo $rspta ? "Los datos del articulo se registraron correctamente" : "No se pudo registrar los datos del articulo";
		}else{
			$rspta=$productocompuesto->editar($idproductocompuesto,$idproductoc,$idalmacenc,$idalmacent,$idusuario,$fecha_hora,$idmaquila,$nombre,$_POST["idarticulo"],
			$_POST["idalmacen"],$_POST["cantidad"],$_POST["fecha_lote"],$_POST["nrolote"],$_POST["factor"]);
			echo $rspta ? "Los datos del articulo se actualizarón correctamente" : "No se pudo actualizar los datos del articulo";
		}
	break;
	

	case 'anular':
		$rspta=$productocompuesto->anular($idproductocompuesto);
		echo $rspta ? "Formula procesada correctamente" : "No se pudo deshabilitar la Formula correctamente";
	break;

	case 'desactivar':
		$rspta=$productocompuesto->desactivar($idproductocompuesto);
		echo $rspta ? "Datos desactivados correctamente" : "No se pudo desactivar los datos";
	break;

	case 'activar':
		$rspta=$productocompuesto->activar($idproductocompuesto);
		echo $rspta ? "Datos activados correctamente" : "No se pudo activar los datos";
	break;
	
	case 'mostrar':
		$rspta=$productocompuesto->mostrar($idproductocompuesto);
		echo json_encode($rspta);
	break;

	case 'buscarnrosuministro':
		$rspta=$productocompuesto->buscarnrosuministro();
		echo json_encode($rspta);
	break;

	case 'buscarAlmacen':
		$rspta=$productocompuesto->buscarAlmacen($almacen);
		echo json_encode($rspta);
	break;
	
	case 'agregarDetalleCodigoDeBarra':
		$codigo_barra	=$_POST["codigobarra"];
		$rspta=$productocompuesto->agregarDetalleCodigoDeBarra($codigo_barra);
		echo json_encode($rspta);
	break;	
	
	case 'listarDetalle':
		//recibimos el idproductocompuesto
		$id			= $_GET['id'];

		$rspta		= $productocompuesto->listarDetalle($id);
		$total		= 0;
		$cabecera 	= "";
		$cuerpo		= "";
		$cuerpot	= "";
		$pie 		= "";	
		$cabecera	= '<thead style="background-color:#A9D0F5">
        <th style="text-align:center">Opciones</th>
        <th style="text-align:center">Articulo</th>
        <th style="text-align:center">Cantidad</th>
		<th style="text-align:center">Unidad de Medida</th>
        <th style="text-align:center">Refrescar</th>
        </thead>
				<tbody>';
		 $cont =0;
		while ($reg=$rspta->fetch_object()) {
			/* '<td><button type="button" class="btn btn-danger" onclick="eliminarDetalle('+cont+')">X</button></td>'+
        '<td><input type="hidden" name="idarticulo[]" value="'+idarticulo+'">'+articulo+'</td>'+
        '<td><input type="text" name="cantidad[]" id="cantidad[]" value="'+number_format(cantidad)+'">'+ */
			$value1='';
			$value2='';
			$value3='';
			$value4='';
			$value5='';
			$value6='';
			$value7='';
			if ($reg->idunidademedidad=='1') {
				$value1='selected';
			}
			if ($reg->idunidademedidad=='2') {
				$value2='selected';
			}
			if ($reg->idunidademedidad=='3') {
				$value3='selected';
			}
			if ($reg->idunidademedidad=='4') {
				$value4='selected';
			}
			if ($reg->idunidademedidad=='5') {
				$value5='selected';
			}
			if ($reg->idunidademedidad=='6') {
				$value6='selected';
			}
			if ($reg->idunidademedidad=='7') {
				$value7='selected';
			}
			


			$cuerpo = '<tr class="filas" id="fila'.$cont.'">
			<td style="text-align:center"><button type="button" class="btn btn-danger" onclick="eliminarDetalle('.$cont.')">X</button></td>
			<td style="text-align:left"><input type="hidden" name="idarticulo[]" value="'.$reg->idarticulo.'">'.$reg->nombre.'</td>
			<td style="text-align:center"><input type="text" style="text-align:center;background-color:#cffedf;border:none" name="cantidad[]" id="cantidad[]" value="'.number_format($reg->cantidad,4,',','.').'"></td>
			<td style="text-align:center">
				<select name="factor[]" id="factor[]" >
					<option value="1" '.$value1.'>UNIDAD</option>
					<option value="2" '.$value2.'>LITROS</option>
					<option value="3" '.$value3.'>MILITROS</option>
					<option value="4" '.$value4.'>KILO</option>
					<option value="5" '.$value5.'>GRAMOS</option>
					<option value="6" '.$value6.'>LVR</option>
					<option value="7" '.$value7.'>ESENCIA</option>
				</select>
			</td>
			<td style="text-align:center">
				<input type="hidden" name="precio_compra[]" id="precio_compra[]" value="0">
				<input type="hidden" name="precio_comprad[]" id="precio_compra[]" value="0">
				<input type="hidden" name="precio_venta[]"  value="0">
				<input type="hidden" name="precio_ventad[]"  value="0">
				<input type="hidden" name="nrolote[]" id=""nrolote[]" value="N/A">
				<input type="hidden" name="fecha_lote[]" id="fecha_lote[]" value="N/A" >
				<input type="hidden" name="subtotal[]" id="subtotal[]" value="0" >
				<input type="hidden" name="idalmacen[]" id="idalmacen[]" value="'.$reg->idalmacen.'" >
        		<button type="button" onclick="modificarSubtotales()" class="btn btn-info"><i class="fa fa-refresh"></i></button>
			</td>
			</tr>';
			$cont++;
			$cuerpot = $cuerpot.$cuerpo;
			$total=$total+$reg->cantidad;
		}
		$pie = '</tbody><tfoot>
         <th></th>
         <th></th>
         <th></th> 
		 <th></th> 
		 <th></th>
       </tfoot>';
			 /*  <th style="text-align:right"><h4 id="total">Bs. '.number_format($total,2,',','.').'</h4>
		 <input type="hidden" name="total_compra" id="total_compra" value="'.$total.'" ></th> */
	   echo $cabecera.$cuerpot.$pie;
	break;

	case 'listarDetalleproductocompuesto':
		//recibimos el idproductocompuesto
		$id			= $_GET['id'];

		$rspta		= $productocompuesto->listarDetalleproductocompuesto($id);
		$total		= 0;
		$cabecera 	= "";
		$cuerpo		= "";
		$cuerpot	= "";
		$pie 		= "";	
		$cabecera	= '<thead style="background-color:#A9D0F5">
        <th>Opciones</th>
        <th>Articulo</th>
        <th>Cantidad</th>
				<th>Unidad de Medida</th>
				<th></th>
        </thead><tbody>';
		 $cont =0;
		while ($reg=$rspta->fetch_object()) {
			/* '<td><button type="button" class="btn btn-danger" onclick="eliminarDetalle('+cont+')">X</button></td>'+
        '<td><input type="hidden" name="idarticulo[]" value="'+idarticulo+'">'+articulo+'</td>'+
        '<td><input type="text" name="cantidad[]" id="cantidad[]" value="'+number_format(cantidad)+'">'+ */
			$cuerpo = '<tr class="filas" id="fila'.$cont.'">
			<td><button type="button" class="btn btn-danger" onclick="eliminarDetalle('.$cont.')">X</button></td>
			<td><input type="hidden" name="idarticulo[]" value="'.$reg->idarticulo.'">'.$reg->nombre.'</td>
			<td><input type="text" name="cantidad[]" id="cantidad[]" value="'.number_format($reg->cantidad,2,',','.').'"></td>
			<td>
				<select name="factor" id="factor" >
				<option value="1">UNIDAD</option>
					<option value="2">LITROS L.</option>
					<option value="3">MILITROS ml.</option>
					<option value="4">KILO kg.</option>
					<option value="5">GRAMOS gr.</option>
					<option value="6">LVR444</option>
				</select>
			</td>
			<td>
				<input type="hidden" name="precio_compra[]" id="precio_compra[]" value="0">
				<input type="hidden" name="precio_comprad[]" id="precio_compra[]" value="0">
				<input type="hidden" name="precio_venta[]"  value="0">
				<input type="hidden" name="precio_ventad[]"  value="0">
				<input type="hidden" name="nrolote[]" id=""nrolote[]" value="N/A">
				<input type="hidden" name="fecha_lote[]" id="fecha_lote[]" value="N/A" >
				<input type="hidden" name="subtotal[]" id="subtotal[]" value="0" >
				<input type="hidden" name="idalmacen[]" id="idalmacen[]" value="'.$reg->idalmacen.'" >
				<button type="button" onclick="modificarSubtotales()" class="btn btn-info"><i class="fa fa-refresh"></i></button>
			</td>
			</tr>';
			$cont++;
			$cuerpot = $cuerpot.$cuerpo;
			$total=$total+$reg->cantidad;
		}
		$pie = '</tbody><tfoot>
         <th>TOTAL</th>
         <th></th>
				 <th></th>
		 <th></th>
		 <th></th>
       </tfoot>';
			  /*  <th style="text-align:right"><h4 id="total">Bs. '.number_format($total,2,',','.').'</h4>
		 <input type="hidden" name="total_compra" id="total_compra" value="'.$total.'" ></th> */
	   echo $cabecera.$cuerpot.$pie;
	break;

  case 'listar':
			$rspta=$productocompuesto->listar();
			$data=Array();

			while ($reg=$rspta->fetch_object()) {
				$data[]=array(
							"0"=>($reg->estado=='Activo')?
							'<div style="text-align:center">'.
							'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idarticulocompuesto.')"><i class="fa fa-pencil-square-o"></i></button>'.' '.
							'<button class="btn btn-danger btn-xs" onclick="desactivar('.$reg->idarticulocompuesto.')"><i class="fas fa-times"></i></button>'
							.'</div>'
							:
							'<div style="text-align:center">'.
							'<button class="btn btn-primary btn-xs" onclick="activar('.$reg->idarticulocompuesto.')"><i class="fa fa-check"></i></button>'
							.'</div>',
							"1"=>'<div style="text-align:left">'.$reg->nombre.'</div>',
							"2"=>'<div style="text-align:center">'.$reg->maquila.'</div>',
							"3"=>'<div style="text-align:center">'.$reg->almacen.'</div>',
							"4"=>'<div style="text-align:left">'.$reg->usuario.'</div>',
							"5"=>'<div style="text-align:center">'.$reg->fecha.'</div>',
							"6"=>($reg->estado=='Activo')?'<div style="text-align:center"><span class="badge bg-green">Aceptado</span></div>'
								:'<div style="text-align:center"><span class="badge bg-red">Anulado</span></div>'
								);
			}
			$results=array(
							"sEcho"=>1,//info para datatables
							"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
							"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
							"aaData"=>$data); 
			echo json_encode($results);
	break;

	case 'listara':
		$rspta=$productocompuesto->listara();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>($reg->estado=='Aceptado')?'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idproductocompuesto.')"><i class="fa fa-eye"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="anular('.$reg->idproductocompuesto.')"><i class="fas fa-times"></i></button>':'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idproductocompuesto.')"><i class="fa fa-eye"></i></button>',
						"1"=>$reg->fecha,
						"2"=>$reg->proveedor,
						"3"=>$reg->usuario,
						"4"=>$reg->tipo_comprobante,
						"5"=>$reg->serie_comprobante. '-' .$reg->num_comprobante,
						"6"=>number_format($reg->total_compra,2,',','.'),
						"7"=>($reg->estado=='Aceptado')?'<span class="badge bg-green">Aceptado</span>':'<span class="badge bg-red">Anulado</span>'
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);
	break;
	
	case 'listars':
		$rspta=$productocompuesto->listars();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>($reg->estado=='Aceptado')?'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idproductocompuesto.')"><i class="fa fa-eye"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="anular('.$reg->idproductocompuesto.')"><i class="fas fa-times"></i></button>':'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idproductocompuesto.')"><i class="fa fa-eye"></i></button>',
						"1"=>$reg->fecha,
						"2"=>$reg->proveedor,
						"3"=>$reg->usuario,
						"4"=>$reg->tipo_comprobante,
						"5"=>$reg->num_suministro,
						"6"=>number_format($reg->total_compra,2,',','.'),
						"7"=>($reg->estado=='Aceptado')?'<span class="badge bg-green">Aceptado</span>':'<span class="badge bg-red">Anulado</span>'
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'selectProveedor':
		require_once "../modelos/Persona.php";
		$persona = new Persona();

		$rspta = $persona->listarp();

		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idpersona.'>'.$reg->nombre.'</option>';
		}
	break;

	case 'selectProductocompuesto':
		require_once "../modelos/Articulo.php";
		$articulo 	= new Articulo();

		$rspta 		= $articulo->listarroductocompuesto();
		$valorinicio	= 0;
		$valornombre	= 'Seleccione un Producto';
		echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
		while ($reg = $rspta->fetch_object()) {
			/* echo '<option value='.$reg->idarticulo.'-'.$reg->idalmacen.'>'.$reg->nombre.'</option>'; */
			echo '<option value='.$reg->idarticulo.'>'.$reg->nombre.'</option>';
		}
	break;
	

	case 'selectProveedorSuministro':
		require_once "../modelos/Persona.php";
		$persona = new Persona();

		$rspta = $persona->listarp();

		while ($reg = $rspta->fetch_object()) {
			$selected = '';
			if ($reg->nombre=='BODEGART'){
				$selected = 'selected';
			}
			echo '<option value='.$reg->idpersona.'"" '.$selected.'>'.$reg->nombre.'</option>';
		}
	break;
	
	case 'listarArticulos':
		require_once "../modelos/Articulo.php";
		$articulo=new Articulo();
		$rspta=$articulo->listarinsumos();
		$data=Array();
		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<button class="btn btn-warning" onclick="agregarDetalle('.$reg->idarticulo.','.$reg->idalmacen.',\''.$reg->nombre.'\',\''.$reg->costo.'\',\''.$reg->costod.'\',\''.$reg->precio.'\',\''.$reg->preciod.'\','.$reg->idunidademedidad.')"><span class="fa fa-plus"></span></button>',
						"1"=>$reg->nombre,
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>$reg->stock,
						"5"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
					
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);
	break;
		
	case 'listarArticuloBarra':
		require_once "../modelos/Articulo.php";
		$articulo=new Articulo();
		$rspta=$articulo->listarActivosBodegartCafetinSuministro();
		$data=Array();
		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<button class="btn btn-warning" onclick="agregarDetalle('.$reg->idarticulo.',\''.$reg->nombre.'\',\''.$reg->costo.'\',\''.$reg->precio.'\')"><span class="fa fa-plus"></span></button>',
						"1"=>$reg->nombre,
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>$reg->stock,
						"5"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
					
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);

	break;
			
	case 'listarServiciosrespaldo':
		require_once "../modelos/Servicios.php";
		$servicio=new Servicios();
		$rspta=$servicio->listarActivosServiciosCompra();
		//echo "<script> alert('estoy en listarServicios Controlador') </script>";
		//a.idservicio,a.idcategoria,c.nombre as categoria, a.nombre,a.precio,a.porcentaje,a.descripcion,a.condicion
		$tipos='S';
		$data=Array();
		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<button class="btn btn-warning" 
						onclick="agregarDetalle('.$reg->idservicio.',\''.$reg->nombre.'\','.$reg->precio.','.$reg->porcentaje.',\''.$tipos.'\',\''.$reg->exento.'\')">
						<span class="fa fa-plus"></span></button>',
						"1"=>$reg->nombre,
						"2"=>$reg->categoria,
						"3"=>$reg->precio,
						"4"=>$reg->porcentaje
						);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);

	break;
}
 ?>